Weav

Create or update redirect

POST https://api.weav.com/v1/kb-redirects

Requires a token with the external-api:write ability.

Body

pathstringrequired

Maximum length: 255.

article_idstringrequired

Format: uuid.

localestring | null

Request

cURL
curl --request POST \
  --url 'https://api.weav.com/v1/kb-redirects' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data '{
  "path": "string",
  "article_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"
}'
JavaScript
const body = {
  "path": "string",
  "article_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"
};
const response = await fetch("https://api.weav.com/v1/kb-redirects", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify(body)
});
console.log(await response.json());
Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"path": "string", "article_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"}
response = requests.post("https://api.weav.com/v1/kb-redirects", headers=headers, json=body)
print(response.json())
PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('POST', 'https://api.weav.com/v1/kb-redirects', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
    'json' => array (
  'path' => 'string',
  'article_id' => '9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d',
),
]);
echo $response->getBody();

Response

201 Created
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "path": "string",
    "article_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "locale": "string",
    "created_at": "2026-01-01T00:00:00Z"
}
200 OK
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "path": "string",
    "article_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "locale": "string",
    "created_at": "2026-01-01T00:00:00Z"
}
  • 422 Unprocessable Content

Response fields

idstring

Format: uuid.

pathstring
article_idstring

Format: uuid.

localestring
created_atstring | null

Format: date-time.